Subject: Re: [PATCH] IPv6: Fix incorrect disable_ipv6 behavior

From: Brian Haley <[email-masked]>
Date: Fri, 13 Mar 2009 20:52:40 -0400

Brian Haley wrote:
> Fix the behavior of allowing both sysctl and addrconf_dad_failure()
> to set the disable_ipv6 parameter without any bad side-effects.
> If DAD fails and accept_dad > 1, we will still set disable_ipv6=1,
> but then instead of allowing an RA to add an address then
> immediately fail DAD, we simply don't allow the address to be
> added in the first place.  This also lets the user set this flag
> and disable all IPv6 addresses on the interface, or on the entire
> system.

So I haven't seen an Ack/Nack for this patch, and the patchwork queue has shrunk
to just a handful in the past few hours :)

-Brian